'use strict';

const Exception = require('./exception');

class NotFoundException extends Exception {
    constructor(message, previous) {
        message = message || 'resource not found';

        super(message, 404, previous);

        this.type = 'NOT_FOUND';
        this.httpStatus = 404;
        this.httpMessage = message;
    }
}

module.exports = NotFoundException;